Keyboard Shortcuts in Vue Markdown Editor

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode as Markdown.

Toolbar

These shortcuts provide quick access to toolbar functions for managing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 ⌥ + F10
Close dropdowns/menu and dialogs Esc Esc

Content editing and formatting

These shortcuts help in efficiently editing and formatting text content.

Actions Windows Mac
Select all content Ctrl + A ⌘ + A
Insert a hard line break (a new paragraph) Enter Enter
Make text bold Ctrl + B ⌘ + B
Italicize text Ctrl + I ⌘ + I
Apply strikethrough Ctrl + Shift + S ⌘ + ⇧ + S

Inserting

These shortcuts allow for the quick insertion of tables, links, and images.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E ⌘ + ⇧ + E
Create link Ctrl + K ⌘ + K
Open the insert image dialog Ctrl + Shift + I ⌘ + ⇧ + I

Text manipulation

These shortcuts help in modifying text case and applying superscript or subscript.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U ⌘ + ⇧ + U
Convert text to lowercase Ctrl + Shift + L ⌘ + ⇧ + L
Apply superscript Ctrl + Shift + = ⌘ + ⇧ + =
Apply subscript Ctrl + = ⌘ + =

Lists

These shortcuts enable the creation of ordered and unordered lists.

Actions Windows Mac
Create an ordered list Ctrl + Shift + O ⌘ + ⇧ + O
Create an unordered list Ctrl + Alt + O ⌘ + ⌥ + O

Clipboard operations

These shortcuts facilitate copying, cutting, and pasting content.

Actions Windows Mac
Copy the selected content Ctrl + C ⌘ + C
Cut the selected content Ctrl + X ⌘ + X
Paste the copied or cut content Ctrl + V ⌘ + V

Undo & redo

These shortcuts allow for undoing and redoing recent changes.

Actions Windows Mac
Undo Ctrl + Z ⌘ + Z
Redo Ctrl + Y ⌘ + Y

Other actions

These shortcuts provide additional functionalities like fullscreen mode.

Actions Windows Mac
Toggle full screen mode Ctrl + Shift + F ⌘ + ⇧ + F
<template>
    <ejs-richtexteditor
      ref="editor"
      editorMode="Markdown"
      :value="rteValue"
      :toolbarSettings="toolbarSettings"
    ></ejs-richtexteditor>
</template>

<script setup>
import { provide } from "vue";
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, Link, Table, Image, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';

const toolbarSettings = {
    items: [ 'Bold',
        'Italic',
        'StrikeThrough',
        '|',
        'Formats',
        'OrderedList',
        'UnorderedList',
        'CreateLink',
        'Image',
        'CreateTable',
         '|',
        'Undo',
        'Redo']
};
const rteValue=`The Markdown Editor supports keyboard shortcuts to format text, insert tables, links, and images, and to perform common editing actions such as undo and redo.`;
provide('richtexteditor', [Toolbar, Link, Image, Table, MarkdownEditor]);
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-richtexteditor/styles/tailwind3.css";
</style>
<template>
    <ejs-richtexteditor
      ref="editor"
      editorMode="Markdown"
      :value="rteValue"
      :toolbarSettings="toolbarSettings"
    ></ejs-richtexteditor>
</template>

<script>
import { RichTextEditorComponent, Toolbar, Link, Image, Table, MarkdownEditor } from '@syncfusion/ej2-vue-richtexteditor';
export default {
    name: "App",
    components: {
        'ejs-richtexteditor': RichTextEditorComponent
    },
   data: function () {
    return {
      rteValue: `The Markdown Editor supports keyboard shortcuts to format text, insert tables, links, and images, and to perform common editing actions such as undo and redo.`,
      toolbarSettings: {
        items: [
          'Bold',
          'Italic',
          'StrikeThrough',
          '|',
          'Formats',
          'OrderedList',
          'UnorderedList',
          'CreateLink',
          'Image',
          'CreateTable',
          '|',
          'Undo',
          'Redo',
        ],
      },
    };
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, Table, MarkdownEditor],
  },
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-richtexteditor/styles/tailwind3.css";
</style>

Keyboard Shortcuts in Angular Markdown Editor

You can use the following keyboard shortcuts when the Rich Text Editor is set to editorMode as Markdown.

Toolbar

These shortcuts provide quick access to toolbar functions for managing menus and dialogs.

Actions Windows Mac
Focus on toolbar Alt + F10 ⌥ + F10
Close dropdowns/menu and dialogs Esc Esc

Content editing and formatting

These shortcuts help in efficiently editing and formatting text content.

Actions Windows Mac
Select all content Ctrl + A ⌘ + A
Insert a hard line break (a new paragraph) Enter Enter
Make text bold Ctrl + B ⌘ + B
Italicize text Ctrl + I ⌘ + I
Apply strikethrough Ctrl + Shift + S ⌘ + ⇧ + S

Inserting

These shortcuts allow for the quick insertion of tables, links, and images.

Actions Windows Mac
Open the insert table dialog Ctrl + Shift + E ⌘ + ⇧ + E
Create link Ctrl + K ⌘ + K
Open the insert image dialog Ctrl + Shift + I ⌘ + ⇧ + I

Text manipulation

These shortcuts help in modifying text case and applying superscript or subscript.

Actions Windows Mac
Convert text to uppercase Ctrl + Shift + U ⌘ + ⇧ + U
Convert text to lowercase Ctrl + Shift + L ⌘ + ⇧ + L
Apply superscript Ctrl + Shift + = ⌘ + ⇧ + =
Apply subscript Ctrl + = ⌘ + =

Lists

These shortcuts enable the creation of ordered and unordered lists.

Actions Windows Mac
Create an ordered list Ctrl + Shift + O ⌘ + ⇧ + O
Create an unordered list Ctrl + Alt + O ⌘ + ⌥ + O

Clipboard operations

These shortcuts facilitate copying, cutting, and pasting content.

Actions Windows Mac
Copy the selected content Ctrl + C ⌘ + C
Cut the selected content Ctrl + X ⌘ + X
Paste the copied or cut content Ctrl + V ⌘ + V

Undo & redo

These shortcuts allow for undoing and redoing recent changes.

Actions Windows Mac
Undo Ctrl + Z ⌘ + Z
Redo Ctrl + Y ⌘ + Y

Other actions

These shortcuts provide additional functionalities like fullscreen mode.

Actions Windows Mac
Toggle fullscreen mode Ctrl + Shift + F ⌘ + ⇧ + F
import { Component } from '@angular/core';
import { RichTextEditorModule, ToolbarService, MarkdownEditorService , HtmlEditorService, ImageService, LinkService, TableService, ToolbarSettingsModel } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
    imports: [
        RichTextEditorModule
    ],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-richtexteditor id='markdown-editor' [editorMode]='mode' [toolbarSettings]='tools' [value]="value"></ejs-richtexteditor>`,
    providers: [ToolbarService, HtmlEditorService, MarkdownEditorService, ImageService, LinkService, TableService]
})

export class AppComponent {
    public mode: string = 'Markdown';
    public value: string = 'The Markdown Editor supports keyboard shortcuts to format text, insert tables, links, and images, and to perform common editing actions such as undo and redo.';

    public tools: ToolbarSettingsModel = {
      items: [
        'Bold',
        'Italic',
        'StrikeThrough',
        '|',
        'Formats',
        'OrderedList',
        'UnorderedList',
        'CreateLink',
        'Image',
        'CreateTable',
        '|',
        'Undo',
        'Redo',
      ],
    };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));